import * as booleans from './boolean/all.js'
import * as generics from './generic/all.js'
import * as numbers from './number/all.js'
import {TypeDispatcher} from '#core/TypeDispatcher.js'

const math = new TypeDispatcher(booleans, generics, numbers)

export default math
