import assert from 'assert'
import math from '#nanomath'

describe('number arithmetic', () => {
   it('supports basic operations', () => {
      assert.strictEqual(math.abs(-Infinity), Infinity)
      assert.strictEqual(math.absquare(-2), 4)
      assert.strictEqual(math.add(2, 2), 4)
      assert.strictEqual(math.divide(6, 4), 1.5)
      assert.strictEqual(math.cbrt(-8), -2)
      assert.strictEqual(math.invert(-4), -0.25)
      assert.strictEqual(math.multiply(4, 1.5), 6)
      assert.strictEqual(math.negate(Infinity), -Infinity)
      assert.strictEqual(math.subtract(4, 2), 2)
      assert.strictEqual(math.quotient(7, 3), 2)
   })
})
