import assert from 'assert'
import math from '#nanomath'

describe('number type operations', () => {
   it('converts to number', () => {
      assert.strictEqual(math.number(2.637), 2.637)
      assert(isNaN(math.number(NaN)))
      assert.strictEqual(math.number(true), 1)
      assert.strictEqual(math.number(false), 0)
      assert.strictEqual(math.number(), 0)
   })
})
