import {plain, boolnum} from './helpers.js'
import {NumberT} from './NumberT.js'

import {Returns} from '#core/Type.js'
import {onType} from '#core/helpers.js'

export const clone = plain(a => a)
export const isnan = onType(NumberT, math => {
    const {BooleanT} = math.types
    if (BooleanT) return Returns(BooleanT, a => isNaN(a))
    return Returns(NumberT, a => boolnum(isNaN(a)))
})
