import {Type} from '#core/Type.js'
import {onType} from '#core/helpers.js'
import {BooleanT} from '#boolean/BooleanT.js'

export const NumberT = new Type(n => typeof n === 'number', {
    from: onType(BooleanT, math => math.number.resolve([BooleanT])),
})
