import assert from 'assert'
import math from '#nanomath'

describe('number utilities', () => {
   it('clones a number', () => {
      assert.strictEqual(math.clone(2.637), 2.637)
   })
   it('tests if a number is NaN', () => {
      assert.strictEqual(math.isnan(NaN), true)
      assert.strictEqual(math.isnan(Infinity), false)
      assert.strictEqual(math.isnan(43), false)
   })
})
