import {plain, boolnum} from './helpers.js'
import {BooleanT} from '#boolean/BooleanT.js'
import {Returns} from '#core/Type.js'
import {NumberT} from '#number/NumberT.js'

const num = f => Returns(NumberT, f)

export const number = plain(a => a)
number.also(
   BooleanT, boolnum,
   [], num(() => 0)
)
